Skip to main content
`Ctrl`+`K`

# PetscBagRegisterBool

add a `PetscBool` to a `PetscBag`

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterBool(PetscBag bag, void *addr, PetscBool mdefault, const char *name, const char *help)

Logically Collective

## Input Parameters

- bag - the bag of values

- addr - location of `PetscBool` in struct, for example `&params->b`

- mdefault - the initial value, either `PETSC_FALSE` or `PETSC_TRUE`

- name - name of the variable

- help - longer string with more information about the value

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagView()`, `PetscBagLoad()`, `PetscBagGetData()`, `PetscBagRegisterInt()`, `PetscBagRegisterScalar()`, `PetscBagSetFromOptions()`, `PetscBagCreate()`, `PetscBagGetName()`, `PetscBagRegisterEnum()`

## Level

beginner

## Location

src/sys/classes/bag/bag.c

## Examples

src/dm/tutorials/ex7.c
src/sys/tutorials/ex5.c
src/sys/tutorials/ex5f90.F90

Index of all Bag routines
Table of Contents for all manual pages
Index of all manual pages